Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7473 - sndconf sets up opl3sax card incorrectly
Summary: sndconf sets up opl3sax card incorrectly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 10:48 UTC by gerald
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 23:27:57 UTC


Attachments (Terms of Use)

Description gerald 1999-12-01 10:48:32 UTC
I hava opl3-sax card by Yamah.
sndconfigure will automatically detect it and set everything up.
I can hear both samples (the au smaple could be a little louder!!!)
but after sndconfig exits I get an i/o conflict error from the midi
module and midi does not work. The reason is the following
incorrect /etc/conf.modules file:

alias sound opl3sa2
pre-install sound /sbin/insmod sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options opl3sa2 mss_io=0x530 irq=5 dma=0 dma2=7 mpu_io=0x388 io=0x370
                                                         ^^^

If I change this according to "mpu_io=0x330", everything works fine
except for recording sound.

Comment 1 Bill Nottingham 1999-12-01 16:17:59 UTC
Hm, that would be a bug. What's your isapnp.conf look like?

Comment 2 Bill Nottingham 2000-02-08 23:27:59 UTC
Fixed in sndconfig-0.42-1, which will be in the next Raw Hide
release.


Note You need to log in before you can comment on or make changes to this bug.